View Issue Details

IDProjectCategoryView StatusLast Update
0025378mantisbtuipublic2019-03-16 20:20
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.20.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025378: Provide sortable functionality to simple tables
Description

There are many tables presented though the pages that displays a static list of data
We can provide a way to make those tables sortable by its headers, with javascript/library functionality.
The current approach in some tables is to manage it at server side, with the added complexity.

We already have list.js that supports sorting, filtering and pagination.
When the tables are simple enough, the js approach can be good enough and does not add any complexity at server code.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 4db17226

2019-01-23 09:55:16

cproensa


Committer: dregad Details Diff
Enhance tables with sortable columns using list.js

Enable automatic creation of sortable columns in tables using list.js

Fixes: 0025378
Affected Issues
0025378
mod - js/common.js Diff File
mod - manage_proj_user_update.php Diff File

Issue History

Date Modified Username Field Change
2019-01-23 17:49 cproensa New Issue
2019-01-23 17:49 cproensa Status new => assigned
2019-01-23 17:49 cproensa Assigned To => cproensa
2019-01-23 18:03 cproensa Note Added: 0061284
2019-03-02 19:13 dregad Changeset attached => MantisBT master 4db17226
2019-03-02 19:13 cproensa Status assigned => resolved
2019-03-02 19:13 cproensa Resolution open => fixed
2019-03-02 19:13 cproensa Fixed in Version => 2.20.0
2019-03-03 16:43 atrol Target Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed